diff sh/c11x-gen-fc-ffs-img @ 20:aa2fd60a44fb

new shell scripts c11x-gen-fc-{ffs-img,script}
author Mychaela Falconia <falcon@freecalypso.org>
date Sat, 10 Jun 2023 23:53:15 +0000
parents sh/c139-gen-fc-ffs-img@2299f1ebbfd2
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/sh/c11x-gen-fc-ffs-img	Sat Jun 10 23:53:15 2023 +0000
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+# This shell script generates an fc-ffs.bin image specifically for FreeCalypso
+# on C11x, either the 2 MiB flash variant or the 4 MiB flash variant of this
+# phone hw subfamily.  A required command line argument selects between 2m and
+# 4m FFS geometries.
+
+if [ $# != 3 ]
+then
+	echo "usage: $0 rfbin-dir imei-file 2m|4m" 1>&2
+	exit 1
+fi
+
+case "$3" in
+	2m)
+		ffs_geom=64x3
+		;;
+	4m)
+		ffs_geom=64x7
+		;;
+	*)
+		echo "Error: invalid flash config argument" 1>&2
+		exit 1
+esac
+
+set -e
+
+# FIXME: using c139-gen-fc-ffs-tree script to populate the FFS content for
+# FC on C11x is OK for now, but we may need a different script in the future.
+
+c139-gen-fc-ffs-tree "$1" "$2" fc-ffs
+
+echo 'Generated file system tree in fc-ffs'
+
+tiffs-mkfs -f /fc-ffs $ffs_geom fc-ffs fc-ffs.bin
+
+echo 'Generated FFS image for FC firmware in fc-ffs.bin'